commit:     d57dca20f6f8ee91ab021ac3b0cf86101521e974
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 29 22:23:50 2020 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Oct 29 22:24:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d57dca20

x11-wm/xpra: Version bump

Closes: https://bugs.gentoo.org/723484
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 x11-wm/xpra/Manifest                            |   1 +
 x11-wm/xpra/files/xpra-4.0.3-suid-warning.patch |  12 ++
 x11-wm/xpra/metadata.xml                        |   1 +
 x11-wm/xpra/xpra-4.0.4.ebuild                   | 139 ++++++++++++++++++++++++
 4 files changed, 153 insertions(+)

diff --git a/x11-wm/xpra/Manifest b/x11-wm/xpra/Manifest
index a6c194f8b9e..93154bc9e09 100644
--- a/x11-wm/xpra/Manifest
+++ b/x11-wm/xpra/Manifest
@@ -1,2 +1,3 @@
 DIST xpra-3.0.2.tar.xz 2749196 BLAKE2B 
3c8745657a12637704fb88ac7b867ab387ef7ed2250396d9e534aecf81e40f85332a2c51ba49638834012f4a4d85c03bd7e49ee259bb2400aeb60fb06abf8b59
 SHA512 
115f606ff5886d99a906f318cb1a7a4a86e80ebf23e4336e67938267d92ef624de577cc8fc06c6ce541b7c44a0cef58d930b5928f32e24dfc67c72127c7b623c
 DIST xpra-3.0.5.tar.xz 2752016 BLAKE2B 
a36d6a4ebb0b14665014da92d510c0d5f978c96db653709ddc09a1015426d6ac6f71f9a221db68ee1114c95eeaca6600f9e49102ce9f936d9b0ee298ac432647
 SHA512 
3dbc122ebc8c4aa67154acfe92668ac364d8469022b03e28946d763e4d396f8c707690b2a4dbf07b55545259a53b46c9dd94e6e40131289ccc3dce6a88107681
+DIST xpra-4.0.4.tar.xz 2792512 BLAKE2B 
e16c47e82cf9f8712521c8f9c436b7bb819d9469fc0135ade1f2c9fc6f2a8a0fecf417caae87a1eca9c4b6daec1a82add5d6547208caee1a1d681ebc7b3d3d3b
 SHA512 
91a90cdab775ec2501ef1601188b97ca4aa741e541f8d941add8d509767790a144b67f094177dda7539eff305710f2c834b90a93e9441437dac615677963094c

diff --git a/x11-wm/xpra/files/xpra-4.0.3-suid-warning.patch 
b/x11-wm/xpra/files/xpra-4.0.3-suid-warning.patch
new file mode 100644
index 00000000000..ae590110f1c
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-4.0.3-suid-warning.patch
@@ -0,0 +1,12 @@
+diff -Nuar a/xpra/scripts/config.py b/xpra/scripts/config.py
+--- a/xpra/scripts/config.py   2020-05-10 19:00:55.000000000 +0200
++++ b/xpra/scripts/config.py   2020-06-07 18:35:49.361899872 +0200
+@@ -150,7 +150,7 @@
+             if (xorg_stat.st_mode & stat.S_ISUID)!=0:
+                 if (xorg_stat.st_mode & stat.S_IROTH)==0:
+                     if warn:
+-                        warn("%s is suid and not readable, Xdummy support 
unavailable" % xorg_bin)
++                        debug("%s is suid and not readable, Xdummy support 
unavailable" % xorg_bin)
+                     return get_Xvfb_command()
+                 debug("%s is suid and readable, using the xpra_Xdummy 
wrapper" % xorg_bin)
+                 use_wrapper = True

diff --git a/x11-wm/xpra/metadata.xml b/x11-wm/xpra/metadata.xml
index e1742788d2b..349c6f4b186 100644
--- a/x11-wm/xpra/metadata.xml
+++ b/x11-wm/xpra/metadata.xml
@@ -17,6 +17,7 @@
        <bugs-to>https://www.xpra.org/trac/report</bugs-to>
 </upstream>
 <use>
+       <flag name="brotli">Enable brotli compression support</flag>
        <flag name="client">Build client-side code</flag>
        <flag name="clipboard">Enable clipboard support</flag>
        <flag name="csc">Enable csc softscaler support</flag>

diff --git a/x11-wm/xpra/xpra-4.0.4.ebuild b/x11-wm/xpra/xpra-4.0.4.ebuild
new file mode 100644
index 00000000000..ff3e6b93213
--- /dev/null
+++ b/x11-wm/xpra/xpra-4.0.4.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=no
+inherit xdg distutils-r1 eutils flag-o-matic tmpfiles prefix
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based 
on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/";
+SRC_URI="http://xpra.org/src/${P}.tar.xz";
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="brotli +client +clipboard csc cups dbus ffmpeg jpeg +lz4 lzo opengl 
pillow pulseaudio server sound test vpx webcam webp"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       || ( client server )
+       cups? ( dbus )
+       opengl? ( client )
+"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       x11-libs/gtk+:3[introspection]
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXfixes
+       x11-libs/libXrandr
+       x11-libs/libXtst
+       x11-libs/libxkbfile
+       brotli? ( app-arch/brotli )
+       csc? ( >=media-video/ffmpeg-1.2.2:0= )
+       ffmpeg? ( >=media-video/ffmpeg-3.2.2:0=[x264,x265] )
+       jpeg? ( media-libs/libjpeg-turbo )
+       opengl? ( dev-python/pyopengl )
+       pulseaudio? (
+               media-sound/pulseaudio
+               media-plugins/gst-plugins-pulse:1.0
+       )
+       sound? ( media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0
+               dev-python/gst-python:1.0 )
+       vpx? ( media-libs/libvpx media-video/ffmpeg )
+       webp? ( media-libs/libwebp )
+"
+RDEPEND="${COMMON_DEPEND}
+       acct-group/xpra
+       dev-python/netifaces[${PYTHON_USEDEP}]
+       dev-python/rencode[${PYTHON_USEDEP}]
+       dev-python/pillow[jpeg?,${PYTHON_USEDEP}]
+       virtual/ssh
+       x11-apps/xmodmap
+       cups? ( dev-python/pycups[${PYTHON_USEDEP}] )
+       dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+       lz4? ( dev-python/lz4[${PYTHON_USEDEP}] )
+       lzo? ( >=dev-python/python-lzo-0.7.0[${PYTHON_USEDEP}] )
+       opengl? (
+               client? ( dev-python/pyopengl_accelerate[${PYTHON_USEDEP}] )
+       )
+       server? ( x11-base/xorg-server[-minimal,xvfb]
+               x11-drivers/xf86-input-void
+       )
+       webcam? ( dev-python/numpy[${PYTHON_USEDEP}]
+               media-libs/opencv[python]
+               dev-python/pyinotify[${PYTHON_USEDEP}] )"
+DEPEND="${COMMON_DEPEND}
+       virtual/pkgconfig
+       >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.0.2_ignore-gentoo-no-compile.patch
+       "${FILESDIR}"/${PN}-3.0.2-ldconfig.patch
+       "${FILESDIR}"/${PN}-4.0.3-suid-warning.patch
+)
+
+pkg_postinst() {
+       tmpfiles_process /usr/lib/tmpfiles.d/xpra.conf
+
+       xdg_pkg_postinst
+}
+
+python_prepare_all() {
+       hprefixify -w '/os.path/' setup.py
+       hprefixify tmpfiles.d/xpra.conf xpra/server/server_util.py \
+               xpra/platform{/xposix,}/paths.py xpra/scripts/server.py
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       sed -e "/'pulseaudio'/s:DEFAULT_PULSEAUDIO:$(usex pulseaudio True 
False):" \
+               -i setup.py || die
+
+       mydistutilsargs=(
+               --without-PIC
+               --without-Xdummy
+               $(use_with client)
+               $(use_with clipboard)
+               $(use_with csc csc_swscale)
+               --without-csc_libyuv
+               --without-cuda_rebuild
+               --without-cuda_kernels
+               $(use_with cups printing)
+               --without-debug
+               $(use_with dbus)
+               $(use_with ffmpeg dec_avcodec2)
+               $(use_with ffmpeg enc_ffmpeg)
+               $(use_with ffmpeg enc_x264)
+               $(use_with ffmpeg enc_x265)
+               --with-gtk3
+               --without-html5
+               $(use_with jpeg jpeg_encoder)
+               $(use_with jpeg jpeg_decoder)
+               --without-mdns
+               --without-minify
+               $(use_with opengl)
+               $(use_with server shadow)
+               $(use_with server)
+               $(use_with sound)
+               --with-strict
+               $(use_with vpx)
+               --with-warn
+               $(use_with webcam)
+               $(use_with webp)
+               --with-x11
+       )
+
+       # see https://www.xpra.org/trac/ticket/1080
+       # and http://trac.cython.org/ticket/395
+       append-cflags -fno-strict-aliasing
+
+       export XPRA_SOCKET_DIRS="${EPREFIX}/run/xpra"
+}

Reply via email to